apiVersion: v1
kind: Service
metadata:
  labels:
    app: geoserver
  name: geoserver
spec:
  ports:
  - name: http
    port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    workload.user.cattle.io/workloadselector: deployment-indrz-geoserver
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: indrz-api
  name: indrz-api
spec:
  ports:
  - name: http
    port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    workload.user.cattle.io/workloadselector: deployment-indrz-api
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: indrz-db
  labels:
    app: indrz-db
spec:
  ports:
  - name: postgresql
    port: 5432
    protocol: TCP
    targetPort: 5432
  selector:
    workload.user.cattle.io/workloadselector: deployment-indrz-db
  sessionAffinity: None
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: indrz-nginx
  labels:
    app: indrz-nginx
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    workload.user.cattle.io/workloadselector: deployment-indrz-nginx
  type: ClusterIP
